| Concept AlphabetWithQualitiesConcept An alphabet where qualities can be attached to the characters.
AssignableConcept | CopyConstructibleConcept | DefaultConstructibleConcept
AlphabetConcept
AlphabetWithQualitiesConcept
Concept Definition Refines AlphabetConcept Required Metafunctions
BitsPerValue | Number of bits needed to store a value. (AlphabetConcept)
HasQualities | Return whether the given type stores qualities besides the alphabet.
QualityValueSize | Return the number of quality values in characters from alphabet with qualities.
Required Functions
assign | Assigns one object to another object. (AssignableConcept)
assignQualityValue | Assigns quality to a character from an alphabet with integrated quality, e.g. to a specified element from a sequence.
getQualityValue | Returns the quality of a character from an alphabet with integrated quality, e.g. the quality associated with a specified element from a sequence.
operator= | C++ built-in Assignment operator. (AssignableConcept)
Include Headers seqan/basic.h Implemented by
Dna5Q | Alphabet for DNA plus PHRED quality including 'N' character.
DnaQ | Alphabet for DNA plus PHRED quality.
Metafunctions
QualityValueSize | Return the number of quality values in characters from alphabet with qualities.
Functions
assignQualityValue | Assigns quality to a character from an alphabet with integrated quality, e.g. to a specified element from a sequence.
getQualityValue | Returns the quality of a character from an alphabet with integrated quality, e.g. the quality associated with a specified element from a sequence.
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57